<?php

$texto = file_get_contents('php://input');
$aba = $_GET['id_aba'];
$tipoVenda = isset($_GET['tipoVenda']) ? '-' . $_GET['tipoVenda'] : '';
$numeroAtendimento = isset($_GET['num_atendimento']) ? $_GET['num_atendimento'] : $_COOKIE['idMaquina'];
$tipo  = isset($_GET['tipo']) ? $_GET['tipo'] : 'JsonVendaEPC-' . $aba;
//nome da maquina
$hostname = isset($_GET['tipo']) ? $tipo . '-' . $numeroAtendimento : $tipo . '-' . $_COOKIE['idMaquina'] . $tipoVenda;
//criamos o arquivo
$arquivo = fopen($hostname . '.txt', 'w');
//verificamos se foi criado
if ($arquivo == false) die('Não foi possível criar o arquivo.');
//escrevemos no arquivo
fwrite($arquivo, $texto);
//Fechamos o arquivo após escrever nele
fclose($arquivo);
